Subject: bug#30182: Update

From: martin rudalics <[email-masked]>
Date: Tue, 23 Jan 2018 19:45:12 +0100

>   . Could the problem be caused by mode-line-default-help-echo being a
 >     function now, not just a string?  Maybe try to revert only that
 >     portion of the changeset, and see if that helps.

It can be made into a string and the OP confirmed already that doing
that fixes things.

 >   . Related: could it be that mode-line-default-help-echo signals an
 >     error?  Try running the reproducing recipe with a breakpoint in
 >     safe_eval_handler.  If that breakpoint breaks, show the backtrace,
 >     and use "pp" to show the values of arg and args[].

The OP already checked that wrapping `mode-line-default-help-echo'
into a condition-case does not help.

martin